#include <iostream>
#include "console.h"
#include "vector.h"
#include "map.h"
using namespace std;

void testCodeOption1();
void testCodeOption2();

int main() {
    testCodeOption1();
    testCodeOption2();
    return 0;
}

void testCodeOption1() {
    Vector<int> numbers;
    numbers.add(1);
    numbers.add(2);
    numbers.add(3);
    Map<string, Vector<int>> mymap;
    mymap["123"] = numbers;

    // This is the part that differs
    mymap["123"].add(4);

    cout << "New size: " << mymap["123"].size() << endl;
}

void testCodeOption2() {
    Vector<int> numbers;
    numbers.add(1);
    numbers.add(2);
    numbers.add(3);
    Map<string, Vector<int>> mymap;
    mymap["123"] = numbers;

    // This is the part that differs
    Vector<int> test = mymap["123"];
    test.add(4);

    cout << "New size: " << mymap["123"].size() << endl;
}
